package com.chenyang.nse.bussiness.dao.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.dao.BaseDao;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationMonitor;
import com.chenyang.nse.bussiness.tools.xml.XmlTool;
import java.util.List;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.SimpleExpression;
import org.hibernate.transform.Transformers;
import org.springframework.stereotype.Repository;

@Repository
public class DesensitizationMonitorDao extends BaseDao<DesensitizationMonitor, String> {
   public int saveDesensitizationMonitor(StringBuilder sql) {
      return this.getSession().createNativeQuery(sql.toString()).executeUpdate();
   }

   public List<DesensitizationMonitor> queryMonitorByIsimport() {
      List<DesensitizationMonitor> list = null;
      String sql = XmlTool.getSql("desensitizationmonitor", "queryImportData");
      list = this.getSession().createNativeQuery(sql).setResultTransformer(Transformers.aliasToBean(DesensitizationMonitor.class)).getResultList();
      return list;
   }

   public List<DesensitizationMonitor> queryAll(Order desc, Order asc, SimpleExpression eq) {
      return null;
   }
}
